Subject: RE: [AAA-WG]: Suggestion to modify State Machine in base document

From: <[email-masked]>
Date: Mon, 16 Dec 2002 11:18:39 +0200

Hi Dilip,

As the original text doesn't seem to cause any interoperability
problems right now, I am not so comfortable with the suggested
change.  We've already long past IETF Last Call, so I think we
should constrain ourselves to fixing interoperability bugs.

Anyone else have an opinion?

John

> -----Original Message-----
> From: ext Bernard Aboba [mailto:[email-masked]]
> Sent: 13 December, 2002 19:54
> To: Dilip
> Cc: [email-masked]
> Subject: Re: [AAA-WG]: Suggestion to modify State Machine in base
> document
> 
> 
> Filed as issue 391.
> 
> On Fri, 13 Dec 2002, Dilip wrote:
> 
> > Submitter name: Dilip Patel
> > Submitter email address: [email-masked]
> > Document: Base
> > Comment type:T
> > Priority: 2
> > Section: 5.6
> > Explanation of issue:
> >
> > In the peer state machine.
> > for the peer state Wait-Conn-Ack/Elect
> > The event for which the peer is waiting is an ACK or
> > NACK from the transport layer for the Intiator
> > connection (I).
> > In this senario a Timeout Event occuring would imply
> > that the ACK/NACK event didint occur in the set time
> > period.
> > The current State machine requires that in this case
> > action to be taken is Error and next state moved is
> > Closed.
> >
> > The Issue is that the Responder (R) Connection has
> > already been established with the peer which is
> > waiting to receive a CEA on R connection.
> > With the current state machine There will be no CEA
> > send and that would result in a Timeout on the peers
> > end (peers state on the other host). And thus closing
> > of this R connection also.
> >
> > SUGESTION:
> > ----------
> > If instead of taking a Error action and making the
> > next state as CLOSED.
> > The state machine could treat the Timeout as same as a
> >
> > I-Rcv-Conn-Nack and thus taking action R-Snd-CEA
> > changing the next state to R-Open.
> >
> > This would establish an connection between the 2 peers
> > immediately instead of waiting another few seconds
> > before the 2 peers try establishing a connection
> > again.
> >
> > Requested change:
> > ----------------
> > State machine change from:
> > state           event       action         next state
> > --------------------------------------------------------
> > Wait-Conn-Ack/  Timeout     Error            Closed
> > Elect
> >
> > State Machine change TO:
> > state            event      action         next state
> > --------------------------------------------------------
> > Wait-Conn-Ack/   Timeout    R-Snd-CEA        R-Open
> > Elect
> >
> >
> >
> > Regards
> > Dilip Patel
> >
> >
> > __________________________________________________
> > Do you Yahoo!?
> > Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
> > http://mailplus.yahoo.com
> >
> 
>